<?php
/*
Plugin Name: No Active for GravityForms
Plugin URI: wpgear.xyz/noactive-for-gravityforms
Description: Displays a message that the Form is not Active, instead of a blank page.
Version: 0.1
Author: WPGear
Author URI: http://wpgear.xyz
License: GPLv2
*/

	$NoActiveGF_plugin_url = plugin_dir_url( __FILE__);		// со слэшем на конце
	$NoActiveGF_plugin_dir = plugin_dir_path( __FILE__);	// со слэшем на конце

	/* ShortCode [gravityform] filter.
	----------------------------------------------------------------- */		
	function NoActiveGF_shortcode_gform_noactive ($shortcode_string, $attributes, $content) {
		$Form_ID = $attributes['id'];

		$Form = GFAPI::get_form( $Form_ID );
		
		$Form_Active = $Form['is_active'];
		
		if (! $Form_Active) {
			$shortcode_string = "<div class='noactivegf_warning'>Form not Active!</div>";
		}
		
		return $shortcode_string;
	}
	add_filter ('gform_shortcode_form', 'NoActiveGF_shortcode_gform_noactive', 10, 3)